# bodyOrNull

inline suspend fun < T : Any > ERROR CLASS: Symbol not found for HttpResponse. bodyOrNull (statusFilter: (ERROR CLASS: Symbol not found for HttpResponse) -> Boolean = { it.status == HttpStatusCode.OK }): ERROR CLASS: Unresolved name: body??(source)

Returns the response body as type T if the statusFilter condition is met, otherwise returns null. By default, the filter checks if the status code is HttpStatusCode.OK.

#### Return

The deserialized body of type T, or null if the filter condition is not met

#### Parameters

statusFilter

A predicate to determine if the body should be retrieved. Defaults to checking for OK status

#### Type Parameters

T

The type to deserialize the response body to